package com.example.mmad.testapp.event;

public class OrderCreatedEvent {
    private final Long orderId;
    private final String orderName;
    private final String description;
    private final Long userId;

    //todo change to annotation getter setter
    public OrderCreatedEvent(Long orderId, String orderName, String description, Long userId) {
        this.orderId = orderId;
        this.orderName = orderName;
        this.description = description;
        this.userId = userId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public String getOrderName() {
        return orderName;
    }

    public String getDescription() {
        return description;
    }

    public Long getUserId() {
        return userId;
    }
}
