package com.example.mmad.testapp.entity.view;

import jakarta.persistence.*;
import lombok.*;
import org.hibernate.annotations.Immutable;

import static jakarta.persistence.GenerationType.SEQUENCE;

@Entity
@Getter
@Setter
@Table(schema = "TEST2", name = "order_view")
@Immutable
public class ViewOrder {

    @Id
    private Long id;
    @Column(name = "order_name")
    private String orderName;
    @Column(name = "description")
    private String description;
    @Column(name="user_id")
    private Long userId;
}
