package com.example.mmad.testapp.service;

import com.example.mmad.testapp.entity.view.ViewOrder;
import com.example.mmad.testapp.repository.ViewOrderRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
public class ViewOrderService {

    private final ViewOrderRepository viewOrderRepository;

    public ViewOrderService(ViewOrderRepository viewOrderRepository) {
        this.viewOrderRepository = viewOrderRepository;
    }


    @Transactional(readOnly = true)
    public List<ViewOrder> listInfo() {
        return viewOrderRepository.findAll();
    }

}
